=== debian/changelog ===
ros-foxy-rosidl-generator-py (0.9.7-1focal) focal; urgency=high

  * Change decode error mode to replace (#176 <https://github.com/ros2/rosidl_python/issues/176>) (#181 <https://github.com/ros2/rosidl_python/issues/181>)
  * Contributors: mergify[bot], Tomoya Fujita

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.6-1focal) focal; urgency=high

  * Removes erroneous unmatched closing parenthesis (#125 <https://github.com/ros2/rosidl_python/issues/125>) (#158 <https://github.com/ros2/rosidl_python/issues/158>)
  * Contributors: Charles Cross, Chris Lalancette

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 25 Jul 2022 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.5-1focal) focal; urgency=high

  * Added optimization for copying arrays of simple types from python to C using buffer protocol (#129 <https://github.com/ros2/rosidl_python/issues/129>) (#146 <https://github.com/ros2/rosidl_python/issues/146>)
  * Contributors: ksuszka

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 31 Jan 2022 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.4-1focal) focal; urgency=high

  * Update maintainers (#119 <https://github.com/ros2/rosidl_python/issues/119>)
  * Fix too early decref of WString when converting from Python to C (#117 <https://github.com/ros2/rosidl_python/issues/117>)
  * Add pytest.ini so tests succeed locally. (#116 <https://github.com/ros2/rosidl_python/issues/116>)
  * Contributors: Chris Lalancette, Claire Wang, Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.3-1focal) focal; urgency=high

  * Add test_depend on rpyutils (#115 <https://github.com/ros2/rosidl_python/issues/115>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Tue, 19 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.2-1focal) focal; urgency=high

  * Explicitly add DLL directories for Windows before importing (#113 <https://github.com/ros2/rosidl_python/issues/113>)
  * Force extension points to be registered in order (#112 <https://github.com/ros2/rosidl_python/issues/112>)
  * Contributors: Ivan Santiago Paunovic, Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.1-1focal) focal; urgency=high

  * Add test dependency on rosidl_typesupport_c_packages (#110 <https://github.com/ros2/rosidl_python/issues/110>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.9.0-1focal) focal; urgency=high

  * Ensure the Python support target links against the C generator target (#108 <https://github.com/ros2/rosidl_python/issues/108>)
  * Skip inoperable typesupport implementations (#107 <https://github.com/ros2/rosidl_python/issues/107>)
  * Update includes to use non-entry point headers from detail subdirectory (#105 <https://github.com/ros2/rosidl_python/issues/105>)
  * Rename rosidl_generator_c namespace to rosidl_runtime_c (#103 <https://github.com/ros2/rosidl_python/issues/103>)
  * Remove dependency on rmw_implementation (#102 <https://github.com/ros2/rosidl_python/issues/102>)
  * Added rosidl_runtime c and cpp depencencies (#100 <https://github.com/ros2/rosidl_python/issues/100>)
  * Move 'noqa: A003' for fields named like a builtin from property to method line (#101 <https://github.com/ros2/rosidl_python/issues/101>)
  * Add warnings for reserved Python keywords in interface members, services and actions (#96 <https://github.com/ros2/rosidl_python/issues/96>)
  * Code style only: wrap after open parenthesis if not in one line (#97 <https://github.com/ros2/rosidl_python/issues/97>)
  * Use f-string (#98 <https://github.com/ros2/rosidl_python/issues/98>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, Samuel Lindgren

 -- Scott K Logan <scott@openrobotics.org>  Sat, 25 Apr 2020 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.8.1-1focal) focal; urgency=high

  * Enable tests for 'char' type fields (#91 <https://github.com/ros2/rosidl_python/issues/91>)
  * Refactor tests (#89 <https://github.com/ros2/rosidl_python/issues/89>)
  * Contributors: Jacob Perron

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.8.0-1focal) focal; urgency=high

  * Find numpy headers in non-debian paths (#75 <https://github.com/ros2/rosidl_python/issues/75>) (#75 <https://github.com/ros2/rosidl_python/issues/75>)
  * Remove non-package from ament_target_dependencies() (#76 <https://github.com/ros2/rosidl_python/issues/76>)
  * Avoid multiple includes for nested array functions (#72 <https://github.com/ros2/rosidl_python/issues/72>)
  * Remove the padding member from structs which should be empty (#73 <https://github.com/ros2/rosidl_python/issues/73>)
  * Ensure the contents of the field are an array. (#63 <https://github.com/ros2/rosidl_python/issues/63>)
  * Make the message __repr__ for Python look nicer (#60 <https://github.com/ros2/rosidl_python/issues/60>)
    Before this patch, publishing a message with "ros2 topic pub" would print something like:
    ``publishing #5: my_msgs.msg.my_msg(axes=array('f', [0.0]))``
    While that is OK, it is kind of ugly.
    This patch hides the typecode and the "array" so that the output looks like:
    ``publishing #5: my_msgs.msg.my_msg(axes=[0.0])``
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Rich Mattes, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Wed, 25 Sep 2019 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.7.6-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 May 2019 00:00:00 -0000

ros-foxy-rosidl-generator-py (0.7.5-1focal) focal; urgency=high

  * Fix PYTHONPATH for test (#58 <https://github.com/ros2/rosidl_python/issues/58>)
  * Contributors: Dirk Thomas


