=== debian/control ===
Source: ros-foxy-rosidl-generator-py
Section: misc
Priority: optional
Maintainer: Shane Loretz <sloretz@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-numpy <!nocheck>, python3-pytest <!nocheck>, ros-foxy-ament-cmake, ros-foxy-ament-cmake-pytest <!nocheck>, ros-foxy-ament-index-python <!nocheck>, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-python-cmake-module <!nocheck>, ros-foxy-rmw <!nocheck>, ros-foxy-rosidl-cmake <!nocheck>, ros-foxy-rosidl-generator-c <!nocheck>, ros-foxy-rosidl-generator-cpp <!nocheck>, ros-foxy-rosidl-parser <!nocheck>, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-typesupport-c <!nocheck>, ros-foxy-rosidl-typesupport-connext-c <!nocheck>, ros-foxy-rosidl-typesupport-fastrtps-c <!nocheck>, ros-foxy-rosidl-typesupport-introspection-c <!nocheck>, ros-foxy-rpyutils <!nocheck>, ros-foxy-test-interface-files <!nocheck>, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rosidl-generator-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-numpy, ros-foxy-ament-cmake, ros-foxy-ament-index-python, ros-foxy-python-cmake-module, ros-foxy-rmw, ros-foxy-rosidl-cmake, ros-foxy-rosidl-generator-c, ros-foxy-rosidl-parser, ros-foxy-rosidl-runtime-c, ros-foxy-rosidl-typesupport-c, ros-foxy-rosidl-typesupport-interface, ros-foxy-rpyutils, ros-foxy-ros-workspace
Description: Generate the ROS interfaces in Python.
